package com.dashitech.migration.task.uc;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.SqlTask;
import com.dashitech.migration.core.DataMigrationter;
import com.dashitech.migration.core.FieldMapper;
import com.dashitech.migration.util.JdbcUtil;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * Created by CX on 2024/10/10.
 */
@Component
public class CompanyTask extends BaseTask {

    public static Log log = LogFactory.getLog(CompanyTask.class);

    @Autowired
    SqlTask hospitalTask;

    @Override
    @Transactional
    public void start() {
        StringBuffer sb = new StringBuffer();
        sb.append(" select * from itsm_uc_groups ");

        List list = jdbcTemplateMdv2.queryForList(sb.toString());

        //测试
        FieldMapper mapper = new FieldMapper();
        mapper.addOperationRemove("id").addOperationRemove("duty_id");
        mapper.addOperationUpdate("_hospital_id", "branch_id");
        mapper.addOperationAdd("type", 3);
        Map<Long, Long> hosIdCache = hospitalTask.loadCache().getIdCache();
        mapper.addOperationReplace("branch_id", hosIdCache);
        mapper.trans2JdbcRow(list);

        JdbcUtil jdbcUtil = new JdbcUtil(jdbcTemplateHsms);
        jdbcUtil.batchPageInsert("itsm_uc_groups", mapper.getRows());

        //clear释放内存
        mapper.clear();
    }

    @Override
    public FieldMapper loadCache() {
        log.info(" *** 加载请求人Requesterl缓存 *** ");



        return null;
    }
}
