package com.dashitech.migration.task.uc;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.core.FieldMapper;
import com.dashitech.migration.util.JdbcUtil;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by CX on 2024/10/10.
 */
@Component
public class HospitalTask extends BaseTask {

    public static Log log = LogFactory.getLog(HospitalTask.class);

    @Override
    @Transactional
    public void start() {
        StringBuffer sql = new StringBuffer("SELECT 0 as version,branch_id as parentId,dept as _hos_name,IFNULL(code,py) as _hos_no,delete_flag,now() as operator_time ");
        sql.append(" FROM `itsm_uc_duty_dept` where dept not like 'Z%'  and dept not like '%保卫%' and id not in (20,21)");
        List<Map<String, Object>> hosList = jdbcTemplateMdv2.queryForList(sql.toString());
        FieldMapper mapper = new FieldMapper();
        mapper.trans2JdbcRow(hosList);
        JdbcUtil jdbcUtil = new JdbcUtil(jdbcTemplateHsms);
        //jdbcUtil.batchPageInsert("itsm_uc_hospital", mapper.getRows());

        //clear释放内存
        mapper.clear();
    }

    @Override
    public FieldMapper loadCache() {
        log.info(" *** 加载院区Hospital缓存 *** ");

        FieldMapper mapper = loadNanjingCache();

        return mapper;
    }

    public FieldMapper loadXiangyangCache() {
        FieldMapper mapper = new FieldMapper();
        Map<Long, Long> hosIdCache = new HashMap<>();
        mapper.setIdCache(hosIdCache);



        return mapper;
    }

    public FieldMapper loadNanjingCache() {
        FieldMapper mapper = new FieldMapper();
        Map<Long, Long> hosIdCache = new HashMap<>();
        mapper.setIdCache(hosIdCache);

        hosIdCache.put(1L, 4L); //总务科
        hosIdCache.put(2L, 4L); //总务科
        hosIdCache.put(3L, 5L); //信息科
        hosIdCache.put(4L, 6L); //设备科

        return mapper;
    }
}
