package com.dashitech.migration.task.uc;

import com.dashitech.migration.BaseTask;
import com.dashitech.migration.SqlTask;
import com.dashitech.migration.core.DataMigrationter;
import com.dashitech.migration.core.FieldMapper;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

/**
 * Created by CX on 2024/10/10.
 */
@Component
public class UserTask extends BaseTask {

    @Autowired
    SqlTask groupTask;

    public static Log log = LogFactory.getLog(UserTask.class);

    @Override
    @Transactional
    public void start() {
        log.info(" *** 用户user转换开始 *** ");

        StringBuffer sb = new StringBuffer();
        sb.append(" select * from itsm_uc_user ");

        List list = jdbcTemplateHsms.queryForList(sb.toString());

        FieldMapper groupMapper = groupTask.loadCache();
        System.out.println(groupMapper.getIdCache());


    }

    @Override
    public FieldMapper loadCache() {
        log.info(" *** 加载用户user缓存 *** ");

        String sql = " select id,ACCOUNT,delete_flag from itsm_uc_groups ";
        List<Map<String, Object>> list = jdbcTemplateHsms.queryForList(sql);
        sql = " select id,ACCOUNT,delete_flag from itsm_uc_groups ";
        List<Map<String, Object>> list2 = jdbcTemplateMdv2.queryForList(sql);

        FieldMapper mapper = new FieldMapper();
        mapper.addFieldMapper("ACCOUNT", "ACCOUNT");
        mapper.addFieldMapper("delete_flag", "delete_flag");

        DataMigrationter.loadCache(list, list2, mapper);

        return mapper;
    }
}
